# -*- coding: utf-8 -*-

from trac.core import *
from trac.util.translation import gettext_noop
from trac.web.api import IRequestFilter


__all__ = ['_', 'TranslationComponent', ]


translations = None


def gettext(string, **kwargs):
    global translations
    if translations:
        trans = translations.ugettext(string)
    else:
        trans = string
    return kwargs and trans % kwargs or trans

_ = gettext

    
class TranslationComponent(object):
    """
    Translation component. It handles request and loads translations
    using locale from request.
    """
    
    @staticmethod
    def setup(req):
        if not translations:
            try:
                from babel.support import Translations
                from pkg_resources import resource_filename
                global translations
                translations = Translations.load(resource_filename(__name__, 'locale'), req.locale)
            except ImportError:
                pass
