#!/usr/bin/env python
# -*- coding: iso-8859-1 -*-

from setuptools import setup

extra = {}

try:
    import babel
    extra['message_extractors'] = {
        'addcomment': [
            ('**.py', 'python', None),
        ],
    }
except ImportError:
    pass

setup(
    install_requires = [ 'Trac >=0.12dev', 'TracMacroPost>=0.2', ],
    name = 'TracAddCommentMacro',
    version = '0.3',
    packages = ['addcomment'],
    package_data = { 'addcomment': [ 'locale/*.*', 'locale/*/LC_MESSAGES/*.*' ] },
    author = "Alec Thomas",
    description = "Macro to add comments to a wiki page.",
    license = "BSD",
    keywords = "trac plugin macro comments",
    url = "http://trac-hacks.org/wiki/AddCommentMacro",
    classifiers = [
        'Framework :: Trac',
    ],
    
    entry_points = {
        'trac.plugins': [
            'addcomment.macro = addcomment.macro',
        ],
    },
    
    **extra )
